@Abiba228

Ошибка отправки png,что делать?

Ignoring exception in command monika:
Traceback (most recent call last):
File "C:\Users\ilbaa\AppData\Local\Programs\Python\Python36\lib\site-packages\discord\ext\commands\core.py", line 85, in wrapped
ret = await coro(args, **kwargs)
File "C:\Users\ilbaa\Desktop\Monika.py", line 48, in monika
json_data = json.loads(response.text) # Извлекаем JSON
File "C:\Users\ilbaa\AppData\Local\Programs\Python\Python36\lib\json__init__.py", line 354, in loads
return _default_decoder.decode(s)
File "C:\Users\ilbaa\AppData\Local\Programs\Python\Python36\lib\json\decoder.py", line 339, in decode
obj, end = self.raw_decode(s, idx=_w(s, 0).end())
File "C:\Users\ilbaa\AppData\Local\Programs\Python\Python36\lib\json\decoder.py", line 357, in raw_decode
raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "C:\Users\ilbaa\AppData\Local\Programs\Python\Python36\lib\site-packages\discord\ext\commands\bot.py", line 939, in invoke
await ctx.command.invoke(ctx)
File "C:\Users\ilbaa\AppData\Local\Programs\Python\Python36\lib\site-packages\discord\ext\commands\core.py", line 863, in invoke
await injected(ctx.args, **ctx.kwargs)
File "C:\Users\ilbaa\AppData\Local\Programs\Python\Python36\lib\site-packages\discord\ext\commands\core.py", line 94, in wrapped
raise CommandInvokeError(exc) from exc
discord.ext.commands.errors.CommandInvokeError: Command raised an exception: JSONDecodeError: Expecting value: line 1 column 1 (char 0)
  • Вопрос задан
  • 84 просмотра
Решения вопроса 1
sergey-gornostaev
@sergey-gornostaev Куратор тега Python
Седой и строгий
Очевидно, в response.text вернулся не JSON.
Ответ написан
Комментировать
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы